Subject: Re: [bug] e100: checksum mismatch on 82551ER rev10

From: Auke Kok <[email-masked]>
Date: Wed, 02 Aug 2006 11:30:46 -0700

Charlie Brady wrote:
>>> Let's assume that these things are all true, and the NIC currently 
>>> does not work perfectly, just imperfectly, but acceptably. With the 
>>> recent driver change, it now does not work at all. That's surely a 
>>> bug in the driver.
>>
>> There is no logic in that sentence at all. You're saying that the 
>> driver is broken because it doesn't fix an error in the EEPROM?
> 
> I am not asking the driver to fix errors in the EEPROM. I'm asking it to 
> send and receive packets, as it has done in the past.

maybe you are confusing e100 with eepro100. e100 has done this since it made 
it into 2.6.4 or so.

Auke